Endpoint
| field | value |
|---|
| method | GET |
| path | /api/integrations/v1/companies/{company_id}/branch-services/{branch_service_id} |
| operationId | get_branch_service_for_integration |
| auth | server to server integration client token |
| Idempotency-Key | not required |
| lifecycle | stable |
| resource type | branch-service |
| data classification | internal |
| scope risk | low |
| write operation | no |
Summary
事業所サービス の get endpoint です。backend OpenAPI から同期しています。
Required scope
| scope | requirement |
|---|
| branch-services:read | required |
Operation contract
| field | value |
|---|
| bulk mode | - |
| bulk max items | - |
| bulk dry run | - |
| sync type | - |
| sync max limit | - |
| reconciliation | - |
Path parameters
| name | required | schema |
|---|
| company_id | required | integer |
| branch_service_id | required | integer |
Query parameters
Header parameters
Request body
| status | media type | schema |
|---|
| - | - | - |
| - | - | - |
Response
| status | media type | schema |
|---|
| 200 | application/json | SuccessResponse_IntegrationBranchServiceDetail_ |
Example
curl -X GET "https://api.anshin.care/api/integrations/v1/companies/{company_id}/branch-services/{branch_service_id}" \
-H "Authorization: Bearer $ANSHIN_INTEGRATION_ACCESS_TOKEN" \
業務境界
- domain: 事業所サービス
- endpoint は各 backend の S2S scoped OpenAPI artifact から同期しています。
- company 境界は backend で検証します。
- write 系 endpoint は、画面用 API と endpoint を分け、処理本体は service 層で共通化します。